Get Usage Statistics

Get your current usage statistics including verification counts and API rate limits.

Get Usage

GET/usage

No query parameters required. Returns usage data for the authenticated user.

Example Request

curl -X GET "https://tenantverify.org/api/v1/usage" \
  -H "Authorization: Bearer tv_live_your_api_key"

Response (200 OK)

{
  "success": true,
  "data": {
    "plan": "pro",
    "verifications": {
      "used_this_month": 12,
      "limit": 50,
      "remaining": 38,
      "total_all_time": 156,
      "completed_this_month": 10
    },
    "api": {
      "requests_limit": 100,
      "requests_remaining": 87,
      "resets_at": "2024-01-25T00:00:00.000Z"
    },
    "subscription": {
      "status": "active",
      "current_period_end": "2024-02-23T00:00:00.000Z"
    }
  }
}